Skip to main content
POST
/
br
/
transactions
/
outbound
Create Outbound Transaction (Brazil)
curl --request POST \
  --url https://hg.cash/api/v1/br/transactions/outbound \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "name": "<string>",
  "keyPix": "<string>",
  "webhookUrl": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hg.cash/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User API authentication token with format: cash_<64-char-hex>

Example: cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2

Body

application/json

Request to create an outbound transaction (withdraw) for Brazil BRL accounts

accountId
string<uuid>
required
amount
number<decimal>
required
name
string
required

Recipient name

keyType
enum<string>
required

PIX key type (document=CPF, evp=random key)

Available options:
document,
email,
evp,
phone,
cnpj
keyPix
string
required

PIX key value (email, CPF, CNPJ, phone, or random key)

webhookUrl
string<uri>

Response

Transaction created. Returns status: processing when the provider accepted the withdraw (HTTP 200). Returns status: cancelled when the provider rejected or failed (non-200); the transaction is stored and marked cancelled.

id
string<uuid>
required

HG.Cash transaction ID

status
enum<string>
required
  • processing: Provider accepted the withdraw (HTTP 200). Transaction is being processed.
  • cancelled: Provider rejected or failed (non-200). Transaction was marked cancelled.
Available options:
processing,
cancelled